Bug 862002 - 3.1 [RHEV-H] VDSM service failed to start - vdsm: Failed to define network filters on libvirt [FAILED]
3.1 [RHEV-H] VDSM service failed to start - vdsm: Failed to define network fi...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Moti Asayag
Martin Pavlik
network
: Regression, TestBlocker, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 10:58 EDT by Martin Pavlik
Modified: 2015-04-06 23:09 EDT (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-38.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:11:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (392.56 KB, application/x-xz)
2012-10-01 10:58 EDT, Martin Pavlik
no flags Details
engine.log (75.11 KB, application/x-gzip)
2012-10-01 11:00 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1508 normal SHIPPED_LIVE Important: rhev-3.1.0 vdsm security, bug fix, and enhancement update 2012-12-04 18:48:05 EST

  None (edit)
Description Martin Pavlik 2012-10-01 10:58:16 EDT
Created attachment 619826 [details]
sosreport

Description of problem:

Red Hat Enterprise Virtualization Hypervisor release 6.3 (20120920.0.rhev31.auto92)

After installation VDSM service failed to start:

root@dell-r210ii-06 ~]# service vdsmd start
checking certs..
vdsm: libvirt already configured for vdsm                  [  OK  ]
Starting iscsid: 
vdsm: Failed to define network filters on libvirt          [FAILED]



Version-Release number of selected component (if applicable):

Red Hat Enterprise Virtualization Hypervisor release 6.3 (20120920.0.rhev31.auto92)
vdsm-4.9.6-36.0.el6_3.x86_64
libvirt-0.9.10-21.el6_3.4.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install rhevh host
2. Add host manually to setup
  
Actual results:
Host becomes non responsive

Expected results:
Host should be successfully installed and go up

Additional info:
*****************************************************************************
bug seems to be same like https://bugzilla.redhat.com/show_bug.cgi?id=855049
but the cause is different this time

File /usr/share/vdsm/nwfilter.pyc is present
[root@dell-r210ii-06 ~]# ls -lah /usr/share/vdsm/nwfilter.pyc
-rwxr-xr-x. 1 vdsm kvm 2.6K 2012-09-24 16:40 /usr/share/vdsm/nwfilter.pyc
*****************************************************************************

from vds_bootstrap_complete.20121001_144707.log

Mon, 01 Oct 2012 14:47:07 DEBUG    ['/sbin/service', 'vdsmd', 'restart']
Mon, 01 Oct 2012 14:47:08 DEBUG    Shutting down vdsm daemon: 
[FAILED]
vdsm watchdog stop[  OK  ]
vdsm: not running[FAILED]
checking certs..
vdsm: libvirt already configured for vdsm [  OK  ]
Starting iscsid: 
vdsm: Failed to define network filters on libvirt[FAILED]
Comment 1 Martin Pavlik 2012-10-01 11:00:49 EDT
Created attachment 619827 [details]
engine.log
Comment 4 Dan Kenigsberg 2012-10-02 14:52:40 EDT
Could you test if this is solved by upstream

http://gerrit.ovirt.org/8245
Comment 5 Dan Kenigsberg 2012-10-03 04:53:38 EDT
backportede downstream

https://gerrit.eng.lab.tlv.redhat.com/2425

preint ticket: https://engineering.redhat.com/trac/preint/ticket/791
Comment 6 Martin Pavlik 2012-10-04 09:01:59 EDT
Reopening the bug, because it showed up that:

Same handling should be done in bootstrap and registration flows

for more info see https://engineering.redhat.com/trac/preint/ticket/791
Comment 7 Dan Kenigsberg 2012-10-04 09:07:57 EDT
bootstrap and registration flows need libvirtd to be responsive before they add the ovirtmgmt network to its database.
Comment 9 Martin Pavlik 2012-10-18 05:48:28 EDT
Works properly on 
[root@dell-r210ii-08 ~]# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor release 6.3 (20121017.0.rhev31.el6_3)
[root@dell-r210ii-08 ~]# rpm -q vdsm
vdsm-4.9.6-38.0.el6_3.x86_64

vdsm starts, host registers to setup
Comment 12 errata-xmlrpc 2012-12-04 14:11:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.